package com.weavi.app;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cglib.proxy.Enhancer;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

import java.util.*;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.locks.ReentrantLock;


@SpringBootApplication
@ComponentScan({"com.weavi.controller","com.weavi.service"})
@EnableJpaRepositories("com.weavi.repository")
@EntityScan("com.weavi.entity")
public class DatabaseApp {
    public static void main(String[] args){
        SpringApplication.run(DatabaseApp.class,args);

        ExecutorService service = Executors.newCachedThreadPool();
        ReentrantLock lock = new ReentrantLock();

        while(true){
            Enhancer enhancer = new Enhancer();

        }
    }

}
